net.sf.jasperreports.compilers

## Class JavaScriptCompilerBase.ScriptExpressionVisitor

- java.lang.Object
- - net.sf.jasperreports.compilers.JavaScriptCompilerBase.ScriptExpressionVisitor

- All Implemented Interfaces:
    ExpressionChunkVisitor
  Enclosing class:
    JavaScriptCompilerBase

      protected static class JavaScriptCompilerBase.ScriptExpressionVisitor
      extends java.lang.Object
      implements ExpressionChunkVisitor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.StringBuilder` | `script`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaScriptCompilerBase.ScriptExpressionVisitor(java.lang.String fieldMethod, java.lang.String variableMethod)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getScript()`
    `void` | `visitFieldChunk(JRExpressionChunk chunk)`
    `void` | `visitParameterChunk(JRExpressionChunk chunk)`
    `void` | `visitResourceChunk(JRExpressionChunk chunk)`
    `void` | `visitTextChunk(JRExpressionChunk chunk)`
    `void` | `visitVariableChunk(JRExpressionChunk chunk)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### script

          protected final java.lang.StringBuilder script

  - ### Constructor Detail

    - #### JavaScriptCompilerBase.ScriptExpressionVisitor

          public JavaScriptCompilerBase.ScriptExpressionVisitor(java.lang.String fieldMethod,
                                                        java.lang.String variableMethod)

  - ### Method Detail

    - #### getScript

          public java.lang.String getScript()

    - #### visitTextChunk

          public void visitTextChunk(JRExpressionChunk chunk)

      Specified by:
        `visitTextChunk` in interface `ExpressionChunkVisitor`

    - #### visitParameterChunk

          public void visitParameterChunk(JRExpressionChunk chunk)

      Specified by:
        `visitParameterChunk` in interface `ExpressionChunkVisitor`

    - #### visitFieldChunk

          public void visitFieldChunk(JRExpressionChunk chunk)

      Specified by:
        `visitFieldChunk` in interface `ExpressionChunkVisitor`

    - #### visitVariableChunk

          public void visitVariableChunk(JRExpressionChunk chunk)

      Specified by:
        `visitVariableChunk` in interface `ExpressionChunkVisitor`

    - #### visitResourceChunk

          public void visitResourceChunk(JRExpressionChunk chunk)

      Specified by:
        `visitResourceChunk` in interface `ExpressionChunkVisitor`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com